Skip to main content

Type Alias: GatewayInferenceResponseRefusalDeltaEvent

type GatewayInferenceResponseRefusalDeltaEvent = {
[key: string]: unknown;
type: "response.refusal.delta";
item_id: string;
output_index: number;
content_index: number;
delta: string;
};

Defined in: src/models/ai-gateway-inference.ts:4982

Portkey ResponseRefusalDeltaEvent; additive response fields are preserved.

Example​

`GatewayInferenceResponseRefusalDeltaEventSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "response.refusal.delta";

Defined in: src/models/ai-gateway-inference.ts:4983


item_id​

item_id: string;

Defined in: src/models/ai-gateway-inference.ts:4984


output_index​

output_index: number;

Defined in: src/models/ai-gateway-inference.ts:4985


content_index​

content_index: number;

Defined in: src/models/ai-gateway-inference.ts:4986


delta​

delta: string;

Defined in: src/models/ai-gateway-inference.ts:4987